@media (max-width: 1200px) {
  .DiscountSection {
    flex-direction: column;
    text-align: center;
  }

  .transformBox {
    margin: 0 10%;
  }

  /* ---------about section three------- */
  .aboutTeam-Info .teamImgInfo {
    display: grid;
    grid-template-columns: repeat(2, minmax(100px, 300px));
  }

  /* ----------service section slider ---------- */
}

@media (max-width: 1024px) {
  .transform-img {
    width: 150%;
    transform: translateX(-180px);
  }

  /* section second  */
  .sectionSecond .fourIMG {
    grid-template-columns: repeat(2, 1fr);
    height: 80%;
    padding: 0;
    padding-bottom: 4rem;
  }

  .sectionSecond .fourIMG img {
    height: 100%;
  }

  /* section five  */
  .sectionFive {
    grid-template-columns: repeat(2, 1fr);
  }

  /* ----------.AboutMeInDetail--------- */
  .AboutMeInDetail {
    flex-direction: column;
    text-align: center;
    margin-top: 3rem;
  }

  .AboutMeInDetail .img {
    width: 100%;
    height: 100%;
    margin: auto;
  }

  .AboutMeInDetail .img img {
    width: 100%;
    height: 100%;
  }

  .AboutMeInDetail .infoAboutMe,
  .AboutMeInDetail .infoAboutMe .iconLink {
    text-align: center;
    margin: auto;
  }

  /* ---------contact formMap -------------- */
  .FormMap {
    flex-direction: column;
    gap: 3rem;
    align-items: center;
  }

  /* .FormMap .map {} */

  .FormMap .form {
    width: 90%;
  }

  /* before footer  */
  .beforefooter {
    grid-template-columns: repeat(1, 1fr);
  }
}

@media (max-width: 786px) {
  .sectionFirst .frontPage .btn {
    display: flex;
    flex-direction: column;
  }

  .transform-img {
    width: 200%;
    transform: translateX(-180px);
  }

  /* second section  */
  .sectionSecond {
    grid-template-columns: repeat(1, 1fr);
    gap: 0;
    margin-bottom: 4rem;
  }

  .sectionSecond .fourIMG {
    grid-template-columns: repeat(2, minmax(100px, 200px));
    justify-content: center;
  }

  .sectionSecond .textInfo {
    padding: 0 8%;
    text-align: center;
  }

  .sectionSecond .textInfo .btn {
    margin: auto;
  }

  /* section three  */

  .sectionThree .servicesBox {
    grid-template-columns: repeat(2, minmax(100px, 280px));
  }

  .sectionThree > p {
    padding: 0 8%;
  }

  /* .DiscountSection .textinfo { */
  .DiscountSection .textinfo {
    padding: 0 5%;
  }

  /* .AboutMeInDetail .infoAboutMe .iconLink{ */
  .AboutMeInDetail .infoAboutMe .iconLink {
    flex-direction: column;
    gap: 0.7rem;
  }

  /* --------Service Section GridBox --------- */
  .aboutServices .ser-box {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
  }

  /* --------slider service seciton ------ */
  .imgslidertext {
    flex-direction: column;
    align-items: center;
  }

  .imgslidertext .slideText {
    width: 90%;
    text-align: center;
  }
}

@media (max-width: 610px) {
  .sectionFirst .frontPage {
    max-width: 90%;
  }

  .transform-img {
    width: 250%;
    transform: translateX(-200px);
  }

  /* section five  */
  .sectionFive {
    grid-template-columns: repeat(1, 1fr);
  }

  /* footer */
  footer {
    flex-direction: column;
    text-align: center;
    gap: 1rem;
    padding: 1rem 2%;
  }

  /* ---------about section three------- */

  .aboutTeam-Info .teamImgInfo {
    display: grid;
    grid-template-columns: repeat(1, minmax(100px, 300px));
  }

  .aboutTeam-Info .teamImgInfo .box.fourthBox {
    padding: 12rem 0;
  }

  .beforefooter .box .subscribe {
    display: flex;
    flex-direction: column;
    gap: 1rem;
  }
  .beforefooter .box .subscribe input {
    width: 100%;
  }
  .beforefooter .box .subscribe .btn {
    width: fit-content;
  }
}

@media (max-width: 425px) {
  .sectionFirst .frontPage {
    max-width: 100%;
  }

  /* section second  */
  .sectionSecond {
    gap: 2rem;
    /* margin: 4rem 0; */
  }

  .sectionSecond .fourIMG {
    grid-template-columns: repeat(1, minmax(100px, 200px));
    justify-content: center;
    padding: 0;
    height: 100%;
    padding-top: 4rem;
  }

  .sectionSecond .fourIMG img:nth-child(2n + 1) {
    display: none;
  }

  /* sectionthree  */
  .sectionThree .servicesBox {
    grid-template-columns: repeat(1, minmax(100px, 280px));
  }

  /* --------Service Section GridBox --------- */
  .aboutServices .ser-box {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
  }

  .imgslidertext .imgslider {
    width: 90%;
    padding: 15rem 0;
  }
}
